import Vue from 'vue';
import { ExtendedVue } from 'vue/types/vue';
export interface BootstrapIconProps {
  size: string;
}

declare module 'vue-bootstrap-icons' {
  export type VueBootstrapIcon = ExtendedVue<
    Vue,
    {},
    {},
    {},
    BootstrapIconProps
    >;
    export const AlarmFillIcon: VueBootstrapIcon;
    export const AlarmIcon: VueBootstrapIcon;
    export const AlertCircleFillIcon: VueBootstrapIcon;
    export const AlertCircleIcon: VueBootstrapIcon;
    export const AlertOctagonFillIcon: VueBootstrapIcon;
    export const AlertOctagonIcon: VueBootstrapIcon;
    export const AlertSquareFillIcon: VueBootstrapIcon;
    export const AlertSquareIcon: VueBootstrapIcon;
    export const AlertTriangleFillIcon: VueBootstrapIcon;
    export const AlertTriangleIcon: VueBootstrapIcon;
    export const ArchiveFillIcon: VueBootstrapIcon;
    export const ArchiveIcon: VueBootstrapIcon;
    export const ArrowBarBottomIcon: VueBootstrapIcon;
    export const ArrowBarLeftIcon: VueBootstrapIcon;
    export const ArrowBarRightIcon: VueBootstrapIcon;
    export const ArrowBarUpIcon: VueBootstrapIcon;
    export const ArrowClockwiseIcon: VueBootstrapIcon;
    export const ArrowCounterclockwiseIcon: VueBootstrapIcon;
    export const ArrowDownLeftIcon: VueBootstrapIcon;
    export const ArrowDownRightIcon: VueBootstrapIcon;
    export const ArrowDownShortIcon: VueBootstrapIcon;
    export const ArrowDownIcon: VueBootstrapIcon;
    export const ArrowLeftRightIcon: VueBootstrapIcon;
    export const ArrowLeftShortIcon: VueBootstrapIcon;
    export const ArrowLeftIcon: VueBootstrapIcon;
    export const ArrowRepeatIcon: VueBootstrapIcon;
    export const ArrowRightShortIcon: VueBootstrapIcon;
    export const ArrowRightIcon: VueBootstrapIcon;
    export const ArrowUpDownIcon: VueBootstrapIcon;
    export const ArrowUpLeftIcon: VueBootstrapIcon;
    export const ArrowUpRightIcon: VueBootstrapIcon;
    export const ArrowUpShortIcon: VueBootstrapIcon;
    export const ArrowUpIcon: VueBootstrapIcon;
    export const ArrowsAngleContractIcon: VueBootstrapIcon;
    export const ArrowsAngleExpandIcon: VueBootstrapIcon;
    export const ArrowsCollapseIcon: VueBootstrapIcon;
    export const ArrowsExpandIcon: VueBootstrapIcon;
    export const ArrowsFullscreenIcon: VueBootstrapIcon;
    export const AtIcon: VueBootstrapIcon;
    export const AwardIcon: VueBootstrapIcon;
    export const BackspaceFillIcon: VueBootstrapIcon;
    export const BackspaceReverseFillIcon: VueBootstrapIcon;
    export const BackspaceReverseIcon: VueBootstrapIcon;
    export const BackspaceIcon: VueBootstrapIcon;
    export const BarChartFillIcon: VueBootstrapIcon;
    export const BarChartIcon: VueBootstrapIcon;
    export const BatteryChargingIcon: VueBootstrapIcon;
    export const BatteryFullIcon: VueBootstrapIcon;
    export const BatteryIcon: VueBootstrapIcon;
    export const BellFillIcon: VueBootstrapIcon;
    export const BellIcon: VueBootstrapIcon;
    export const BlockquoteLeftIcon: VueBootstrapIcon;
    export const BlockquoteRightIcon: VueBootstrapIcon;
    export const BookHalfFillIcon: VueBootstrapIcon;
    export const BookIcon: VueBootstrapIcon;
    export const BookmarkFillIcon: VueBootstrapIcon;
    export const BookmarkIcon: VueBootstrapIcon;
    export const BootstrapFillIcon: VueBootstrapIcon;
    export const BootstrapRebootIcon: VueBootstrapIcon;
    export const BootstrapIcon: VueBootstrapIcon;
    export const BoxArrowBottomLeftIcon: VueBootstrapIcon;
    export const BoxArrowBottomRightIcon: VueBootstrapIcon;
    export const BoxArrowDownIcon: VueBootstrapIcon;
    export const BoxArrowLeftIcon: VueBootstrapIcon;
    export const BoxArrowRightIcon: VueBootstrapIcon;
    export const BoxArrowUpLeftIcon: VueBootstrapIcon;
    export const BoxArrowUpRightIcon: VueBootstrapIcon;
    export const BoxArrowUpIcon: VueBootstrapIcon;
    export const BracesIcon: VueBootstrapIcon;
    export const BrightnessFillHighIcon: VueBootstrapIcon;
    export const BrightnessFillLowIcon: VueBootstrapIcon;
    export const BrightnessHighIcon: VueBootstrapIcon;
    export const BrightnessLowIcon: VueBootstrapIcon;
    export const BrushIcon: VueBootstrapIcon;
    export const BucketFillIcon: VueBootstrapIcon;
    export const BucketIcon: VueBootstrapIcon;
    export const BuildingIcon: VueBootstrapIcon;
    export const BullseyeIcon: VueBootstrapIcon;
    export const CalendarFillIcon: VueBootstrapIcon;
    export const CalendarIcon: VueBootstrapIcon;
    export const CameraVideoFillIcon: VueBootstrapIcon;
    export const CameraVideoIcon: VueBootstrapIcon;
    export const CameraIcon: VueBootstrapIcon;
    export const CapslockFillIcon: VueBootstrapIcon;
    export const CapslockIcon: VueBootstrapIcon;
    export const ChatFillIcon: VueBootstrapIcon;
    export const ChatIcon: VueBootstrapIcon;
    export const CheckBoxIcon: VueBootstrapIcon;
    export const CheckCircleIcon: VueBootstrapIcon;
    export const CheckIcon: VueBootstrapIcon;
    export const ChevronCompactDownIcon: VueBootstrapIcon;
    export const ChevronCompactLeftIcon: VueBootstrapIcon;
    export const ChevronCompactRightIcon: VueBootstrapIcon;
    export const ChevronCompactUpIcon: VueBootstrapIcon;
    export const ChevronDownIcon: VueBootstrapIcon;
    export const ChevronLeftIcon: VueBootstrapIcon;
    export const ChevronRightIcon: VueBootstrapIcon;
    export const ChevronUpIcon: VueBootstrapIcon;
    export const CircleFillIcon: VueBootstrapIcon;
    export const CircleHalfIcon: VueBootstrapIcon;
    export const CircleSlashIcon: VueBootstrapIcon;
    export const CircleIcon: VueBootstrapIcon;
    export const ClockFillIcon: VueBootstrapIcon;
    export const ClockIcon: VueBootstrapIcon;
    export const CloudDownloadIcon: VueBootstrapIcon;
    export const CloudFillIcon: VueBootstrapIcon;
    export const CloudUploadIcon: VueBootstrapIcon;
    export const CloudIcon: VueBootstrapIcon;
    export const CodeSlashIcon: VueBootstrapIcon;
    export const CodeIcon: VueBootstrapIcon;
    export const ColumnsGuttersIcon: VueBootstrapIcon;
    export const ColumnsIcon: VueBootstrapIcon;
    export const CommandIcon: VueBootstrapIcon;
    export const CompassIcon: VueBootstrapIcon;
    export const ConeStripedIcon: VueBootstrapIcon;
    export const ConeIcon: VueBootstrapIcon;
    export const ControllerIcon: VueBootstrapIcon;
    export const CreditCardIcon: VueBootstrapIcon;
    export const CursorFillIcon: VueBootstrapIcon;
    export const CursorIcon: VueBootstrapIcon;
    export const DashIcon: VueBootstrapIcon;
    export const DiamondHalfIcon: VueBootstrapIcon;
    export const DiamondIcon: VueBootstrapIcon;
    export const DisplayFillIcon: VueBootstrapIcon;
    export const DisplayIcon: VueBootstrapIcon;
    export const DocumentCodeIcon: VueBootstrapIcon;
    export const DocumentDiffIcon: VueBootstrapIcon;
    export const DocumentRichtextIcon: VueBootstrapIcon;
    export const DocumentSpreadsheetIcon: VueBootstrapIcon;
    export const DocumentTextIcon: VueBootstrapIcon;
    export const DocumentIcon: VueBootstrapIcon;
    export const DocumentsAltIcon: VueBootstrapIcon;
    export const DocumentsIcon: VueBootstrapIcon;
    export const DotIcon: VueBootstrapIcon;
    export const DownloadIcon: VueBootstrapIcon;
    export const EggFriedIcon: VueBootstrapIcon;
    export const EjectFillIcon: VueBootstrapIcon;
    export const EjectIcon: VueBootstrapIcon;
    export const EnvelopeFillIcon: VueBootstrapIcon;
    export const EnvelopeOpenFillIcon: VueBootstrapIcon;
    export const EnvelopeOpenIcon: VueBootstrapIcon;
    export const EnvelopeIcon: VueBootstrapIcon;
    export const EyeFillIcon: VueBootstrapIcon;
    export const EyeSlashFillIcon: VueBootstrapIcon;
    export const EyeSlashIcon: VueBootstrapIcon;
    export const EyeIcon: VueBootstrapIcon;
    export const FilterIcon: VueBootstrapIcon;
    export const FlagFillIcon: VueBootstrapIcon;
    export const FlagIcon: VueBootstrapIcon;
    export const FolderFillIcon: VueBootstrapIcon;
    export const FolderSymlinkFillIcon: VueBootstrapIcon;
    export const FolderSymlinkIcon: VueBootstrapIcon;
    export const FolderIcon: VueBootstrapIcon;
    export const FontsIcon: VueBootstrapIcon;
    export const ForwardFillIcon: VueBootstrapIcon;
    export const ForwardIcon: VueBootstrapIcon;
    export const GearFillIcon: VueBootstrapIcon;
    export const GearWideConnectedIcon: VueBootstrapIcon;
    export const GearWideIcon: VueBootstrapIcon;
    export const GearIcon: VueBootstrapIcon;
    export const GeoIcon: VueBootstrapIcon;
    export const GraphDownIcon: VueBootstrapIcon;
    export const GraphUpIcon: VueBootstrapIcon;
    export const GridFillIcon: VueBootstrapIcon;
    export const GridIcon: VueBootstrapIcon;
    export const HammerIcon: VueBootstrapIcon;
    export const HashIcon: VueBootstrapIcon;
    export const HeartFillIcon: VueBootstrapIcon;
    export const HeartIcon: VueBootstrapIcon;
    export const HouseFillIcon: VueBootstrapIcon;
    export const HouseIcon: VueBootstrapIcon;
    export const ImageAltIcon: VueBootstrapIcon;
    export const ImageFillIcon: VueBootstrapIcon;
    export const ImageIcon: VueBootstrapIcon;
    export const ImagesIcon: VueBootstrapIcon;
    export const InboxFillIcon: VueBootstrapIcon;
    export const InboxIcon: VueBootstrapIcon;
    export const InboxesFillIcon: VueBootstrapIcon;
    export const InboxesIcon: VueBootstrapIcon;
    export const InfoFillIcon: VueBootstrapIcon;
    export const InfoSquareFillIcon: VueBootstrapIcon;
    export const InfoSquareIcon: VueBootstrapIcon;
    export const InfoIcon: VueBootstrapIcon;
    export const JustifyLeftIcon: VueBootstrapIcon;
    export const JustifyRightIcon: VueBootstrapIcon;
    export const JustifyIcon: VueBootstrapIcon;
    export const KanbanFillIcon: VueBootstrapIcon;
    export const KanbanIcon: VueBootstrapIcon;
    export const LaptopIcon: VueBootstrapIcon;
    export const LayoutSidebarReverseIcon: VueBootstrapIcon;
    export const LayoutSidebarIcon: VueBootstrapIcon;
    export const LayoutSplitIcon: VueBootstrapIcon;
    export const ListCheckIcon: VueBootstrapIcon;
    export const ListOlIcon: VueBootstrapIcon;
    export const ListTaskIcon: VueBootstrapIcon;
    export const ListUlIcon: VueBootstrapIcon;
    export const ListIcon: VueBootstrapIcon;
    export const LockFillIcon: VueBootstrapIcon;
    export const LockIcon: VueBootstrapIcon;
    export const MapIcon: VueBootstrapIcon;
    export const MicIcon: VueBootstrapIcon;
    export const MoonIcon: VueBootstrapIcon;
    export const MusicPlayerFillIcon: VueBootstrapIcon;
    export const MusicPlayerIcon: VueBootstrapIcon;
    export const OptionIcon: VueBootstrapIcon;
    export const OutletIcon: VueBootstrapIcon;
    export const PauseFillIcon: VueBootstrapIcon;
    export const PauseIcon: VueBootstrapIcon;
    export const PenIcon: VueBootstrapIcon;
    export const PencilIcon: VueBootstrapIcon;
    export const PeopleFillIcon: VueBootstrapIcon;
    export const PeopleIcon: VueBootstrapIcon;
    export const PersonFillIcon: VueBootstrapIcon;
    export const PersonIcon: VueBootstrapIcon;
    export const PhoneLandscapeIcon: VueBootstrapIcon;
    export const PhoneIcon: VueBootstrapIcon;
    export const PieChartFillIcon: VueBootstrapIcon;
    export const PieChartIcon: VueBootstrapIcon;
    export const PlayFillIcon: VueBootstrapIcon;
    export const PlayIcon: VueBootstrapIcon;
    export const PlugIcon: VueBootstrapIcon;
    export const PlusIcon: VueBootstrapIcon;
    export const PowerIcon: VueBootstrapIcon;
    export const QuestionFillIcon: VueBootstrapIcon;
    export const QuestionSquareFillIcon: VueBootstrapIcon;
    export const QuestionSquareIcon: VueBootstrapIcon;
    export const QuestionIcon: VueBootstrapIcon;
    export const ReplyAllFillIcon: VueBootstrapIcon;
    export const ReplyAllIcon: VueBootstrapIcon;
    export const ReplyFillIcon: VueBootstrapIcon;
    export const ReplyIcon: VueBootstrapIcon;
    export const ScrewdriverIcon: VueBootstrapIcon;
    export const SearchIcon: VueBootstrapIcon;
    export const ShieldFillIcon: VueBootstrapIcon;
    export const ShieldLockFillIcon: VueBootstrapIcon;
    export const ShieldLockIcon: VueBootstrapIcon;
    export const ShieldShadedIcon: VueBootstrapIcon;
    export const ShieldIcon: VueBootstrapIcon;
    export const ShiftFillIcon: VueBootstrapIcon;
    export const ShiftIcon: VueBootstrapIcon;
    export const SkipBackwardFillIcon: VueBootstrapIcon;
    export const SkipBackwardIcon: VueBootstrapIcon;
    export const SkipEndFillIcon: VueBootstrapIcon;
    export const SkipEndIcon: VueBootstrapIcon;
    export const SkipForwardFillIcon: VueBootstrapIcon;
    export const SkipForwardIcon: VueBootstrapIcon;
    export const SkipStartFillIcon: VueBootstrapIcon;
    export const SkipStartIcon: VueBootstrapIcon;
    export const SpeakerIcon: VueBootstrapIcon;
    export const SquareFillIcon: VueBootstrapIcon;
    export const SquareHalfIcon: VueBootstrapIcon;
    export const SquareIcon: VueBootstrapIcon;
    export const StarFillIcon: VueBootstrapIcon;
    export const StarHalfIcon: VueBootstrapIcon;
    export const StarIcon: VueBootstrapIcon;
    export const StopFillIcon: VueBootstrapIcon;
    export const StopIcon: VueBootstrapIcon;
    export const StopwatchFillIcon: VueBootstrapIcon;
    export const StopwatchIcon: VueBootstrapIcon;
    export const SunIcon: VueBootstrapIcon;
    export const TableIcon: VueBootstrapIcon;
    export const TabletLandscapeIcon: VueBootstrapIcon;
    export const TabletIcon: VueBootstrapIcon;
    export const TagFillIcon: VueBootstrapIcon;
    export const TagIcon: VueBootstrapIcon;
    export const TerminalFillIcon: VueBootstrapIcon;
    export const TerminalIcon: VueBootstrapIcon;
    export const TextCenterIcon: VueBootstrapIcon;
    export const TextIndentLeftIcon: VueBootstrapIcon;
    export const TextIndentRightIcon: VueBootstrapIcon;
    export const TextLeftIcon: VueBootstrapIcon;
    export const TextRightIcon: VueBootstrapIcon;
    export const ThreeDotsVerticalIcon: VueBootstrapIcon;
    export const ThreeDotsIcon: VueBootstrapIcon;
    export const ToggleOffIcon: VueBootstrapIcon;
    export const ToggleOnIcon: VueBootstrapIcon;
    export const TogglesIcon: VueBootstrapIcon;
    export const ToolsIcon: VueBootstrapIcon;
    export const TrashFillIcon: VueBootstrapIcon;
    export const TrashIcon: VueBootstrapIcon;
    export const TriangleFillIcon: VueBootstrapIcon;
    export const TriangleHalfIcon: VueBootstrapIcon;
    export const TriangleIcon: VueBootstrapIcon;
    export const TrophyIcon: VueBootstrapIcon;
    export const TvFillIcon: VueBootstrapIcon;
    export const TvIcon: VueBootstrapIcon;
    export const TypeBoldIcon: VueBootstrapIcon;
    export const TypeH1Icon: VueBootstrapIcon;
    export const TypeH2Icon: VueBootstrapIcon;
    export const TypeH3Icon: VueBootstrapIcon;
    export const TypeItalicIcon: VueBootstrapIcon;
    export const TypeStrikethroughIcon: VueBootstrapIcon;
    export const TypeUnderlineIcon: VueBootstrapIcon;
    export const TypeIcon: VueBootstrapIcon;
    export const UnlockFillIcon: VueBootstrapIcon;
    export const UnlockIcon: VueBootstrapIcon;
    export const UploadIcon: VueBootstrapIcon;
    export const VolumeDownFillIcon: VueBootstrapIcon;
    export const VolumeDownIcon: VueBootstrapIcon;
    export const VolumeMuteFillIcon: VueBootstrapIcon;
    export const VolumeMuteIcon: VueBootstrapIcon;
    export const VolumeUpFillIcon: VueBootstrapIcon;
    export const VolumeUpIcon: VueBootstrapIcon;
    export const WalletIcon: VueBootstrapIcon;
    export const WatchIcon: VueBootstrapIcon;
    export const WifiIcon: VueBootstrapIcon;
    export const WindowIcon: VueBootstrapIcon;
    export const WrenchIcon: VueBootstrapIcon;
    export const XCircleFillIcon: VueBootstrapIcon;
    export const XCircleIcon: VueBootstrapIcon;
    export const XOctagonFillIcon: VueBootstrapIcon;
    export const XOctagonIcon: VueBootstrapIcon;
    export const XSquareFillIcon: VueBootstrapIcon;
    export const XSquareIcon: VueBootstrapIcon;
    export const XIcon: VueBootstrapIcon;
}